<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #12 - Сycled Slider</title>
    <link rel="stylesheet" href="css/reset.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #12 - Сycled Slider</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос # 1:</span>Опишите своими словами разницу между функциями setTimeout() и setInterval()</p>
            <div class="answer-wrapper">
                <p class="answer">
                    setTimeout - срабатывает разово по окончании указанного времени. При использовании с нулевым промежутком выполняет указанную функцию только после того, как выполнятся все скрипты вне setTimeout.
                    setInterval - срабатывает через указанные промежутки времени, при этом не учитывает время выполнения функций в промежутке, поэтому не сильно подходит для выполнения НЕ простых действий.
                </p>
            </div>
            <p class="question"><span class="quoted">Вопрос # 2:</span>Что произойдет, если в функцию setTimeout() передать нулевую задержку? Сработает ли она мгновенно, и почему?</p>
            <div class="answer-wrapper">
                <p class="answer">
                    setTimeout сработает только после того, как отработает весь код вне setTimeout. Асинхронность на минималках.
                </p>
            </div>
            <p class="question"><span class="quoted">Вопрос # 3:</span>Почему важно не забывать вызывать функцию clearInterval(), когда ранее созданный цикл запуска вам уже не нужен?</p>
            <div class="answer-wrapper">
                <p class="answer">
                    setInterval отправляет функцию в планировщик, этим исключая ее попадание в мусорку по окончании. И пока не настанет clearInterval, функция в памяти и будет находиться. 
                </p>
            </div>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Реализовать программу, показывающую циклично разные картинки.</p>
            <ul class="reqular">
               <li>
                    При запуске программы на экране должна отображаться первая картинка.Каждая кнопка содержит в себе название клавиши на клавиатуре
               </li>
               <li>
                    Через 3 секунды вместо нее должна быть показана 2я картинка.
               </li>
                <li>
                    Через 3 секунды вместо нее должна быть показана 3я картинка.
               </li>
               <li>
                    Через 3 секунды вместо нее должна быть показана 4я картинка.
                </li>
                <li>
                    После того, как покажутся все картинки - этот цикл должен начаться заново.
                </li>
                <li>
                    При запуске программы где-то на экране должна появиться кнопка с надписью Прекратить.
                </li>
                <li>
                    По нажатию на кнопку Прекратить цикл завершается, на экране остается показанной та картинка, которая была там при нажатии кнопки.
                </li>
                <li>
                    Рядом с кнопкой Прекратить должна быть кнопка Возобновить показ, при нажатии которой цикл продолжается с той картинки, которая в данный момент показана на экране.
                </li>
                <li>
                    Разметку можно менять, добавлять нужные классы, id, атрибуты, теги.
                </li>
            </ul>
            <ul class="additional">
                <li>
                    Backspace удаляет последний с конца
                </li>
                <li>
                    Буквы срабатывают только на Англ. языке
                </li>
            </ul>
           
           
            <div class="images-wrapper">
                <!-- <p class="counter">0</p> -->
                <img src="" alt="image of game" class="image-to-show" />
            </div>  
        </div>
    </div>
    

    <script src="js/script.js"></script>
</body>
</html>